# Uses of Class
org.apache.lucene.sandbox.facet.recorders.LongAggregationsFacetRecorder

Packages that use LongAggregationsFacetRecorder
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.

## Uses of LongAggregationsFacetRecorder in org.apache.lucene.sandbox.facet

Methods in org.apache.lucene.sandbox.facet with parameters of type LongAggregationsFacetRecorder
Modifier and Type
Method
Description
`static ComparableSupplier<ComparableUtils.ByAggregatedValueComparable>`
ComparableUtils.`byAggregatedValue(CountFacetRecorder countRecorder, LongAggregationsFacetRecorder longAggregationsFacetRecorder, int aggregationId)`
`ComparableSupplier` to sort ordinals by long aggregation (descending) with tie-break by count (descending) or by ordinal (ascending) using provided `CountFacetRecorder` and `LongAggregationsFacetRecorder`.